Update Card
PUT /obp/v7.0.0/management/banks/BANK_ID/cards/CARD_ID
OBPv3.1.0-updatedCardForBank Roles: CanCreateCardsForBank(per bank) Card
Update Card at bank specified by CARD_ID . User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
BANK_ID: gh.29.uk
CARD_ID: 36f8a9e6-c2b1-407a-8bd0-421b7119307e
JSON response body fields (90)
- account
- alias
- allows
- [credit,debit,cash_withdrawal]
- bank_id
- gh.29.uk
- can_add_comment
- can_add_corporate_location
- can_add_image
- can_add_image_url
- false
- can_add_more_info
- false
- can_add_open_corporates_url
- can_add_physical_location
- can_add_private_alias
- can_add_public_alias
- can_add_tag
- false
- can_add_url
- can_add_where_tag
- can_delete_comment
- can_delete_corporate_location
- false
- can_delete_image
- false
- can_delete_physical_location
- can_delete_tag
- can_delete_where_tag
- false
- can_edit_owner_comment
- false
- can_see_bank_account_balance
- can_see_bank_account_bank_name
- false
- can_see_bank_account_currency
- can_see_bank_account_iban
- can_see_bank_account_label
- false
- can_see_bank_account_national_identifier
- can_see_bank_account_number
- false
- can_see_bank_account_owners
- false
- can_see_bank_account_swift_bic
- can_see_bank_account_type
- can_see_comments
- can_see_corporate_location
- false
- can_see_image_url
- false
- can_see_images
- false
- can_see_more_info
- can_see_open_corporates_url
- can_see_other_account_bank_name
- can_see_other_account_iban
- can_see_other_account_kind
- can_see_other_account_metadata
- can_see_other_account_national_identifier
- false
- can_see_other_account_number
- false
- can_see_other_account_swift_bic
- false
- can_see_owner_comment
- can_see_physical_location
- can_see_private_alias
- can_see_public_alias
- can_see_tags
- can_see_transaction_amount
- false
- can_see_transaction_balance
- can_see_transaction_currency
- can_see_transaction_description
- false
- can_see_transaction_finish_date
- can_see_transaction_metadata
- can_see_transaction_other_bank_account
- can_see_transaction_start_date
- can_see_transaction_this_bank_account
- can_see_transaction_type
- can_see_url
- false
- can_see_where_tag
- false
- cancelled
- false
- card_id
- 36f8a9e6-c2b1-407a-8bd0-421b7119307e
- card_number
- 364435172576215
- card_type
- Credit
- collected
- 2020-01-27
- customer_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- enabled
- false
- expires_date
- 2021-01-27
- hide_metadata_if_alias_used
- false
- id
- d8839721-ad8f-45dd-9f78-2080414b93f9
- is_public
- false
- issue_number
- 1
- label
- My Account
- name_on_card
- SusanSmith
- networks
- on_hot_list
- false
- pin_reset
- posted
- 2020-01-27
- reason_requested
- replacement
- requested_date
- 2020-01-27
- serial_number
- 1324234
- short_name
- technology
- technology1
- valid_from_date
- 2020-01-27
- views_available
Example request body
{
"card_type": "Credit",
"name_on_card": "SusanSmith",
"issue_number": "1",
"serial_number": "1324234",
"valid_from_date": "1100-01-01T00:00:00Z",
"expires_date": "1100-01-01T00:00:00Z",
"enabled": true,
"technology": "technology1",
"networks": [
"network1",
"network2"
],
"allows": [
"credit",
"debit"
],
"account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
"replacement": {
"requested_date": "1100-01-01T00:00:00Z",
"reason_requested": "RENEW"
},
"pin_reset": [
{
"requested_date": "1100-01-01T00:00:00Z",
"reason_requested": "FORGOT"
},
{
"requested_date": "2026-10-21T01:45:41Z",
"reason_requested": "GOOD_SECURITY_PRACTICE"
}
],
"collected": "1100-01-01T00:00:00Z",
"posted": "1100-01-01T00:00:00Z",
"customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh"
}Example success response
{
"card_id": "36f8a9e6-c2b1-407a-8bd0-421b7119307e ",
"bank_id": "gh.29.uk",
"card_number": "364435172576215",
"card_type": "Credit",
"name_on_card": "SusanSmith",
"issue_number": "1",
"serial_number": "1324234",
"valid_from_date": "1100-01-01T00:00:00Z",
"expires_date": "1100-01-01T00:00:00Z",
"enabled": true,
"cancelled": true,
"on_hot_list": true,
"technology": "technologyString1",
"networks": [
"networks1"
],
"allows": [
"credit",
"debit"
],
"account": {
"id": "123",
"label": "OBP",
"views_available": [
{
"id": "123",
"short_name": "short_name",
"description": "description",
"is_public": true,
"alias": "None",
"hide_metadata_if_alias_used": true,
"can_add_comment": true,
"can_add_corporate_location": true,
"can_add_image": true,
"can_add_image_url": true,
"can_add_more_info": true,
"can_add_open_corporates_url": true,
"can_add_physical_location": true,
"can_add_private_alias": true,
"can_add_public_alias": true,
"can_add_tag": true,
"can_add_url": true,
"can_add_where_tag": true,
"can_delete_comment": true,
"can_delete_corporate_location": true,
"can_delete_image": true,
"can_delete_physical_location": true,
"can_delete_tag": true,
"can_delete_where_tag": true,
"can_edit_owner_comment": true,
"can_see_bank_account_balance": true,
"can_see_bank_account_bank_name": true,
"can_see_bank_account_currency": true,
"can_see_bank_account_iban": true,
"can_see_bank_account_label": true,
"can_see_bank_account_national_identifier": true,
"can_see_bank_account_number": true,
"can_see_bank_account_owners": true,
"can_see_bank_account_swift_bic": true,
"can_see_bank_account_type": true,
"can_see_comments": true,
"can_see_corporate_location": true,
"can_see_image_url": true,
"can_see_images": true,
"can_see_more_info": true,
"can_see_open_corporates_url": true,
"can_see_other_account_bank_name": true,
"can_see_other_account_iban": true,
"can_see_other_account_kind": true,
"can_see_other_account_metadata": true,
"can_see_other_account_national_identifier": true,
"can_see_other_account_number": true,
"can_see_other_account_swift_bic": true,
"can_see_owner_comment": true,
"can_see_physical_location": true,
"can_see_private_alias": true,
"can_see_public_alias": true,
"can_see_tags": true,
"can_see_transaction_amount": true,
"can_see_transaction_balance": true,
"can_see_transaction_currency": true,
"can_see_transaction_description": true,
"can_see_transaction_finish_date": true,
"can_see_transaction_metadata": true,
"can_see_transaction_other_bank_account": true,
"can_see_transaction_start_date": true,
"can_see_transaction_this_bank_account": true,
"can_see_transaction_type": true,
"can_see_url": true,
"can_see_where_tag": true
}
],
"bank_id": "gh.29.uk"
},
"replacement": {
"requested_date": "1100-01-01T00:00:00Z",
"reason_requested": "RENEW"
},
"pin_reset": [
{
"requested_date": "1100-01-01T00:00:00Z",
"reason_requested": "FORGOT"
}
],
"collected": "1100-01-01T00:00:00Z",
"posted": "1100-01-01T00:00:00Z",
"customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh"
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10015: Allowed values are:
- OBP-50000: Unknown Error.